﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TotalSynergyAPIService.Domain.Models
{
    public class Project
    {
        public int id { get; set; }
        public long statusId { get; set; }
        public int organisationId { get; set; }
        public string organisationName { get; set; }
        public string number { get; set; }
        public string name { get; set; }
        public string externalName { get; set; }
        public string status { get; set; }
        public string scope { get; set; }
        public bool isOfficeProject { get; set; }
        public bool isDefault { get; set; }
        public string projectNumber { get; set; }
        public DateTime? start { get; set; }
        public DateTime? end { get; set; }
        public int invoices { get; set; }
        public bool isActive { get; set; }
        public DateTime createdDate { get; set; }
        public DateTime updatedDate { get; set; }
        public Address address { get; set; }
        public int primaryContactId { get; set; }
        public string primaryContact { get; set; }
        public CustomField[] customFields { get; set; }
        public string projectType { get; set; }
    }
}
